<script>

  
    let types = [
        { id: "Article", text: `Article` },
        { id: "Débat", text: `Débat` },
        { id: "Post", text: `Post` },        
        ];
</script>

<form method="post">
    <div class="content">


        <h1>Nouveau post</h1>
        <p>
            <label for="post">Texte :</label>
    
            <input
                id="post" 
                name="post" 
                type="text"
                placeholder="Tapez ici..."
                required
            >
        </p>
        <p>
            <label for="type">Type de contenu :</label>
            
            <select id="type" name="type" >
                {#each types as option}
                        <option value={option.id}>
                                {option.text}
                        </option>
                {/each}
        </select>
            <!-- {#if longueur < 8}
                Mot de passe trop court : 8 caractères minimum
            {/if} -->
        </p>
        
        <p>
            <label for="media">Média :</label>
    
            <input
                id="media" 
                name="media" 
                type="text"
            >
        </p>
        

    </div>

    <div class="droite">
        <button type="submit">Poster</button> 
    </div>
</form>

<style>
	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
	}
	.droite {
		text-align: right;
	}
</style>
